<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
    <link rel="stylesheet" href="http://cdn.bootcss.com/leaflet/1.0.3/leaflet.css">
    <link rel="stylesheet" href="assets/superMap/js/geoman/leaflet-geoman.css">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
              <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
              <a href="javascript:void(0);"><cite>编辑内容</cite></a>
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <div class="layui-form-item">
                    <label class="layui-form-label" style="width: 122px;">治安重点地区<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block" style="margin-left: 122px;">
                        <input type="text" id="securityArea" name="securityArea" class="layui-input" value="" placeholder="请输入治安重点地区"  maxlength="100" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <input type="hidden" id="securityQuestionName" name="securityQuestionName" class="layui-input" value="" placeholder="请输入治安突出问题名称"  maxlength="20">
                        <input type="hidden" id="securityQuestionCode" name="securityQuestionCode" class="layui-input" value="" placeholder="请输入治安突出问题编码"  maxlength="2">
                        <label class="layui-form-label" style="width: 122px;">治安突出问题<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block layui-form" style="margin-left: 122px;" id="securityQuestionSelectTemplateBox" lay-filter="securityQuestionSelectTemplateBox"></div>
                        <script id="securityQuestionSelectTemplate" type="text/html">
                            <select id="securityQuestion" name="securityQuestion" lay-filter="securityQuestion" lay-verify="required">
                                <option value="">请选择治安突出问题</option>
                                {{# for(var i = 0, item; item = d[i++];) { }}
                                <option value="{{item.dataId}},{{item.dataSummary}}">{{item.dataName}}</option>
                                {{# } }}
                            </select>
                        </script>
                    </div>
                    <div class="layui-col-lg6">
                        <input type="hidden" id="involveAreaTypeName" name="involveAreaTypeName" class="layui-input" value="" placeholder="请输入涉及区域类型名称"  maxlength="20">
                        <input type="hidden" id="involveAreaTypeCode" name="involveAreaTypeCode" class="layui-input" value="" placeholder="请输入涉及区域类型编码"  maxlength="2">
                        <label class="layui-form-label" style="width: 122px;">涉及区域类型<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block layui-form" style="margin-left: 122px;" id="involveAreaTypeSelectTemplateBox" lay-filter="involveAreaTypeSelectTemplateBox"></div>
                        <script id="involveAreaTypeSelectTemplate" type="text/html">
                            <select id="involveAreaType" name="involveAreaType" lay-filter="involveAreaType" lay-verify="required">
                                <option value="">请选择涉及区域类型</option>
                                {{# for(var i = 0, item; item = d[i++];) { }}
                                <option value="{{item.dataId}},{{item.dataSummary}}">{{item.dataName}}</option>
                                {{# } }}
                            </select>
                        </script>
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">所在地<span style="color: red;vertical-align: middle;">*</span></label>
                        <input type="hidden" id="locationId" name="locationId" class="layui-input" value="" placeholder="请输入一级区域ID"  maxlength="36">
                        <input type="hidden" id="locationCode" name="locationCode" class="layui-input" value="" placeholder="请输入一级区域名称"  maxlength="255">
                        <div class="layui-input-block">
                            <input type="text" id="location" name="location" class="layui-input" value="" placeholder="点击选择所在地"  maxlength="11" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">所属网格<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block layui-form" id="gridSelectTemplateBox" lay-filter="gridSelectTemplateBox"></div>
                        <script id="gridSelectTemplate" type="text/html">
                            <select id="grid" name="grid" lay-filter="grid" lay-verify="required">
                                <option value="">请选择网格</option>
                                {{# for(var i = 0, item; item = d[i++];) { }}
                                <option value="{{item.gridId}}">{{item.gridName}}</option>
                                {{# } }}
                            </select>
                        </script>
                    </div>
                </div>
                <div class="layui-form-item layui-form-text">
                    <label class="layui-form-label">涉及区域范围<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block">
                        <div id="involveAreaRange"></div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label" style="width: 120px;">整治牵头单位</label>
                    <div class="layui-input-block" style="margin-left: 120px;">
                        <input type="text" id="renovationLeadDept" name="renovationLeadDept" class="layui-input" value="" placeholder="请输入整治牵头单位"  maxlength="100">
                    </div>
                </div>
                <div class="layui-form-item layui-form-text">
                    <label class="layui-form-label">整治参与单位</label>
                    <div class="layui-input-block">
                        <div id="renovationJoinDept"></div>
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label" style="width: 193px;">整治牵头单位负责人姓名<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 193px;">
                            <input type="text" id="leadDeptMan" name="leadDeptMan" class="layui-input" value="" placeholder="请输入整治牵头单位负责人姓名"  maxlength="50" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label" style="width: 220px;">整治牵头单位负责人联系方式<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 220px;">
                            <input type="text" id="leadDeptPhone" name="leadDeptPhone" class="layui-input" value="" placeholder="请输入整治牵头单位负责人联系方式"  maxlength="50" lay-verify="required">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">整改时限<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block">
                        <input type="text" id="rectificationTime" name="rectificationTime" class="layui-input" value="" placeholder="请选择整改时限" readonly style="cursor: pointer;" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label" style="width: 186px;">整治期间破获刑事案件数</label>
                        <div class="layui-input-block" style="margin-left: 186px;">
                            <input type="number" id="renovationCriminalCount" name="renovationCriminalCount" class="layui-input" value="" placeholder="请输入整治期间破获刑事案件数" lay-verify="integer">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label" style="width: 186px;">整治期间查处治安案件数</label>
                        <div class="layui-input-block" style="margin-left: 186px;">
                            <input type="number" id="renovationSecurityCount" name="renovationSecurityCount" class="layui-input" value="" placeholder="请输入整治期间查处治安案件数" lay-verify="integer">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item layui-form-text">
                    <label class="layui-form-label">整治情况<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block">
                        <div id="renovationSituationw"></div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <input type="hidden" id="effectEvaluationName" name="effectEvaluationName" class="layui-input" value="" placeholder="请输入效果评估名称"  maxlength="20">
                    <input type="hidden" id="effectEvaluationCode" name="effectEvaluationCode" class="layui-input" value="" placeholder="请输入效果评估编码"  maxlength="2">
                    <label class="layui-form-label">效果评估<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block layui-form" id="effectEvaluationSelectTemplateBox" lay-filter="effectEvaluationSelectTemplateBox"></div>
                    <script id="effectEvaluationSelectTemplate" type="text/html">
                        <select id="effectEvaluation" name="effectEvaluation" lay-filter="effectEvaluation" lay-verify="required">
                            <option value="">请选择效果评估</option>
                            {{# for(var i = 0, item; item = d[i++];) { }}
                            <option value="{{item.dataId}},{{item.dataSummary}}">{{item.dataName}}</option>
                            {{# } }}
                        </select>
                    </script>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">经度</label>
                        <div class="layui-input-block">
                            <input type="number" step="0.01" id="longitude" name="longitude" class="layui-input" value="" placeholder="请输入经度" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">纬度</label>
                        <div class="layui-input-block">
                            <input type="number" step="0.01" id="latitude" name="latitude" class="layui-input" value="" placeholder="请输入纬度" lay-verify="required">
                        </div>
                    </div>
                </div>
                <div class="layui-row" id="mapDiv">
                    <div class="layui-col-md12 layui-col-sm12" style="padding: 0 0px;">
                        <div id="mapContainer" style="width: 100%;height: 350px;"></div>
                    </div>
                </div>
                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">提交新增</button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="http://cdn.bootcss.com/leaflet/1.0.3/leaflet.js"></script>
<script src="assets/superMap/js/iclient-leaflet.min.js"></script>
<script src="assets/superMap/js/geoman/leaflet-geoman.min.js"></script>
<script src="assets/js/vendor/wangEditor/wangEditor.min.js"></script>
<script src="assets/js/vendor/ckplayer/ckplayer/ckplayer.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;
        var keyAreaCheckRenovationId = top.restAjax.params(window.location.href).keyAreaCheckRenovationId;

        var wangEditor = window.wangEditor;
        var wangEditorObj = {};
        var viewerObj = {};
        var map;
        var marker;

        function initMap(longitude, latitude) {
            var url1 = 'https://iserver.supermap.io/iserver/services/map-china400/rest/maps/China';
            map = L.map('mapContainer', {
                crs: L.CRS.EPSG3857,
                center: {lon: 113.11412662267688, lat: 40.98896497581636},
                maxZoom: 18,
                zoom: 8,
                boxZoom: false,
                scrollWheelZoom: true,
                dragging: true,
                doubleClickZoom: false,
                zoomControl: false
            });
            L.control.zoom().addTo(map);
            L.control.scale().addTo(map);
            L.supermap.tiledMapLayer(url1, {noWrap: true}).addTo(map);
            marker = L.marker();
            var latLng = [latitude, longitude];
            marker = L.marker(latLng, {
                draggable:false,
                riseOnHover: true
            }).addTo(map)
            map.on('click',addPoint);
        }

        function addPoint(e){
            if(marker)map.removeLayer(marker);
            marker = L.marker(e.latlng, {
                draggable:false,
                riseOnHover: true
            }).addTo(map)
            $('#longitude').val(e.latlng.lng);
            $('#latitude').val(e.latlng.lat);
        }

        // 选择所在地
        $(document).on('click', '#location', function() {
            top.dialog.open({
                title: '选择地区',
                url: top.restAjax.path('route/mongo/area/get-select?areaName={areaName}', [encodeURI($('#location').val())]),
                width: '800px',
                height: '225px',
                onClose: function () {
                    var selectedAreaArray = top.dialog.dialogData.selectedAreaArray;
                    var areaCode = '';
                    var areaName = '';
                    if (selectedAreaArray.length > 0) {
                        areaCode = selectedAreaArray[selectedAreaArray.length - 1].areaCode;
                        for (var i = 0, item; item = selectedAreaArray[i++];) {
                            if (areaName) {
                                areaName += ',';
                            }
                            areaName += item.areaName;
                        }
                        $('#locationCode').val(areaCode);
                        $('#location').val(areaName);
                    }
                    initGridSelect(areaCode);
                }
            })
        });

        // 初始化地区网格
        function initGridSelect(areaCode, selectValue) {
            if(!areaCode) {
                laytpl(document.getElementById('gridSelectTemplate').innerHTML).render([], function(html) {
                    document.getElementById('gridSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'gridSelectTemplateBox');
                return;
            }
            top.restAjax.get(top.restAjax.path('api/grid/grid-list/{areaCode}', [areaCode]), {}, null, function(code, data, args) {
                laytpl(document.getElementById('gridSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('gridSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'gridSelectTemplateBox');

                var selectObj = {};
                selectObj['grid'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }


        // 治安突出问题change事件
        form.on('select(securityQuestion)', function(data){
            if(!data.value) {

            }else {
                var valueArr = data.value.split(',');
                if(2 == valueArr.length) {
                    var name = $('#securityQuestion option:selected').text();
                    $('#securityQuestion option:selected').val(valueArr[0]);
                    $('#securityQuestionName').val(name);
                    $('#securityQuestionCode').val(valueArr[1]);
                }
            }
            form.render("select");
        });

        // 涉及区域类型change事件
        form.on('select(involveAreaType)', function(data){
            if(!data.value) {

            }else {
                var valueArr = data.value.split(',');
                if(2 == valueArr.length) {
                    var name = $('#involveAreaType option:selected').text();
                    $('#involveAreaType option:selected').val(valueArr[0]);
                    $('#involveAreaTypeName').val(name);
                    $('#involveAreaTypeCode').val(valueArr[1]);
                }
            }
            form.render("select");
        });

        // 效果评估change事件
        form.on('select(effectEvaluation)', function(data){
            if(!data.value) {

            }else {
                var valueArr = data.value.split(',');
                if(2 == valueArr.length) {
                    var name = $('#effectEvaluation option:selected').text();
                    $('#effectEvaluation option:selected').val(valueArr[0]);
                    $('#effectEvaluationName').val(name);
                    $('#effectEvaluationCode').val(valueArr[1]);
                }
            }
            form.render("select");
        });

        // 初始化备注富文本
        function initInvolveAreaRangeRichText(value) {
            var editor = new wangEditor('#involveAreaRange');
            editor.customConfig.zIndex = 0;
            editor.customConfig.uploadImgMaxSize = 5 * 1024 * 1024;
            editor.customConfig.uploadImgMaxLength = 1;
            editor.customConfig.uploadFileName = 'image';
            editor.customConfig.uploadImgServer = 'api/file/wangeditorimage';
            editor.customConfig.uploadImgHooks = {
                fail: function (xhr, editor, result) {
                    top.dialog.msg('系统错误，图片上传失败');
                },
                error: function (xhr, editor) {
                    top.dialog.msg('网络异常');
                },
                timeout: function (xhr, editor) {
                    top.dialog.msg('网络请求超时');
                }
            };
            editor.create();
            editor.txt.html(value);
            wangEditorObj['involveAreaRange'] = editor;
        }

        // 初始化备注富文本
        function initRenovationJoinDeptRichText(value) {
            var editor = new wangEditor('#renovationJoinDept');
            editor.customConfig.zIndex = 0;
            editor.customConfig.uploadImgMaxSize = 5 * 1024 * 1024;
            editor.customConfig.uploadImgMaxLength = 1;
            editor.customConfig.uploadFileName = 'image';
            editor.customConfig.uploadImgServer = 'api/file/wangeditorimage';
            editor.customConfig.uploadImgHooks = {
                fail: function (xhr, editor, result) {
                    top.dialog.msg('系统错误，图片上传失败');
                },
                error: function (xhr, editor) {
                    top.dialog.msg('网络异常');
                },
                timeout: function (xhr, editor) {
                    top.dialog.msg('网络请求超时');
                }
            };
            editor.create();
            editor.txt.html(value);
            wangEditorObj['renovationJoinDept'] = editor;
        }

        // 初始化备注富文本
        function initRenovationSituationwRichText(value) {
            var editor = new wangEditor('#renovationSituationw');
            editor.customConfig.zIndex = 0;
            editor.customConfig.uploadImgMaxSize = 5 * 1024 * 1024;
            editor.customConfig.uploadImgMaxLength = 1;
            editor.customConfig.uploadFileName = 'image';
            editor.customConfig.uploadImgServer = 'api/file/wangeditorimage';
            editor.customConfig.uploadImgHooks = {
                fail: function (xhr, editor, result) {
                    top.dialog.msg('系统错误，图片上传失败');
                },
                error: function (xhr, editor) {
                    top.dialog.msg('网络异常');
                },
                timeout: function (xhr, editor) {
                    top.dialog.msg('网络请求超时');
                }
            };
            editor.create();
            editor.txt.html(value);
            wangEditorObj['renovationSituationw'] = editor;
        }

        // 人员数量只能输入正整数
        form.verify({
            integer: [
                /^[1-9]\d*$/
                , '只能输入正整数'
            ]
        });

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        // 初始化治安突出问题字典表ID下拉选择
        function initSecurityQuestionSelect(selectValue) {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['b356002b-7f51-4dd6-9f22-d517ea8a7671']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('securityQuestionSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('securityQuestionSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'securityQuestionSelectTemplateBox');

                var selectObj = {};
                selectObj['securityQuestion'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化涉及区域类型字典表ID下拉选择
        function initInvolveAreaTypeSelect(selectValue) {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['ba1d92aa-552c-4a45-b376-6ee7e5d33ab9']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('involveAreaTypeSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('involveAreaTypeSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'involveAreaTypeSelectTemplateBox');

                var selectObj = {};
                selectObj['involveAreaType'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化效果评估字典表ID下拉选择
        function initEffectEvaluationSelect(selectValue) {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['758de083-4a46-408e-9d37-7c5ab03d956a']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('effectEvaluationSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('effectEvaluationSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'effectEvaluationSelectTemplateBox');

                var selectObj = {};
                selectObj['effectEvaluation'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化整改时限日期
        function initRectificationTimeDate(value) {
            laydate.render({
                elem: '#rectificationTime',
                type: 'date',
                value: value,
                trigger: 'click'
            });
        }

        // 初始化内容
        function initData() {
            var loadLayerIndex;
            top.restAjax.get(top.restAjax.path('api/keyareacheckrenovation/get/{keyAreaCheckRenovationId}', [keyAreaCheckRenovationId]), {}, null, function(code, data) {
                var dataFormData = {};
                for(var i in data) {
                    dataFormData[i] = data[i] +'';
                }
                form.val('dataForm', dataFormData);
                form.render(null, 'dataForm');
                initSecurityQuestionSelect(data['securityQuestion'] + ',' + data['securityQuestionCode']);
                initInvolveAreaTypeSelect(data['involveAreaType'] + ',' + data['involveAreaTypeCode']);
                initEffectEvaluationSelect(data['effectEvaluation'] + ',' + data['effectEvaluationCode']);
                initRectificationTimeDate(data['rectificationTime']);
                initInvolveAreaRangeRichText(data['involveAreaRange']);
                initRenovationJoinDeptRichText(data['renovationJoinDept']);
                initRenovationSituationwRichText(data['renovationSituationw']);
                initGridSelect(data['locationCode'], data['grid']);
                initMap(data['longitude'], data['latitude']);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.loading, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        }

        initData();

        function changeFun(value, id, formData) {
            var valueArr = value.split(',');
            if(2 == valueArr.length) {
                var name = $('#' + id + 'option:selected').text();
                formData.field[id] = valueArr[0];
                $('#' + id + 'Name').val(name);
                $('#' + id + 'Code').val(valueArr[1]);
            }
        }
        
        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            changeFun(formData.field['securityQuestion'], 'securityQuestion', formData);
            changeFun(formData.field['involveAreaType'], 'involveAreaType', formData);
            changeFun(formData.field['effectEvaluation'], 'effectEvaluation', formData);

            var involveAreaRange = wangEditorObj['involveAreaRange'].txt.text().trim();
            if(involveAreaRange === '') {
                top.dialog.msg('涉及区域范围必填');
                return false;
            }else {
                formData.field['involveAreaRange'] = wangEditorObj['involveAreaRange'].txt.html();
            }

            var renovationJoinDept = wangEditorObj['renovationJoinDept'].txt.text().trim();
            if(renovationJoinDept === '') {

            }else {
                formData.field['renovationJoinDept'] = wangEditorObj['renovationJoinDept'].txt.html();
            }

            var renovationSituationw = wangEditorObj['renovationSituationw'].txt.text().trim();
            if(renovationSituationw === '') {
                top.dialog.msg('整治情况必填');
                return false;
            }else {
                formData.field['renovationSituationw'] = wangEditorObj['renovationSituationw'].txt.html();
            }
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.put(top.restAjax.path('api/keyareacheckrenovation/update/{keyAreaCheckRenovationId}', [keyAreaCheckRenovationId]), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.updateSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            window.location.reload();
                        },
                        btn2: function() {
                            closeBox();
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });

        $('.close').on('click', function() {
            closeBox();
        });

        // 校验
        form.verify({
        });
    });
</script>
</body>
</html>